package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.WeekdayUtil;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/RentReqHintAction.class */
public class RentReqHintAction extends LifeAction {
    private String iCollName;

    public String execute(Context context) throws GENEException {
        try {
            Date date = Calendar.getInstance().getTime();
            String currDate = new SimpleDateFormat("yyyy-MM-dd").format(date);
            int frMaxAttStayTime = Integer.parseInt((String) context.getDataValue("frMaxAttStayTime"));
            int frMaxAuditStayTime = Integer.parseInt((String) context.getDataValue("frMaxAuditStayTime"));
            int attHintTime = Integer.parseInt((String) context.getDataValue("attHintTime"));
            int auditHintTime = Integer.parseInt((String) context.getDataValue("auditHintTime"));
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "1";
            }
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kcoll = icoll.getElementAt(i);
                String opStt = (String) kcoll.getDataValue("opStt");
                String optime = (String) kcoll.getDataValue("optime");
                String str = String.valueOf(optime.substring(0, 4)) + "-" + optime.substring(4, 6) + "-" + optime.substring(6, 8);
                int workDayNum = WeekdayUtil.getWorkDay(str, currDate);
                if (opStt.equals("12")) {
                    icoll.getElementAt(i).setDataValue("overFlag", "2");
                    int overDay = workDayNum - frMaxAttStayTime;
                    icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(overDay));
                } else if (opStt.equals("23")) {
                    icoll.getElementAt(i).setDataValue("overFlag", "2");
                    int overDay2 = workDayNum - frMaxAuditStayTime;
                    icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(overDay2));
                } else if (opStt.equals("10")) {
                    int noticeWorkDay = frMaxAttStayTime - attHintTime;
                    if (WeekdayUtil.compareWeekday(str, currDate, noticeWorkDay)) {
                        icoll.getElementAt(i).setDataValue("overFlag", "0");
                        icoll.getElementAt(i).setDataValue("overTime", "");
                    } else {
                        int remainWorkDay = frMaxAttStayTime - workDayNum;
                        icoll.getElementAt(i).setDataValue("overFlag", "1");
                        icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(remainWorkDay));
                    }
                } else if (opStt.equals("20") || opStt.equals("28")) {
                    int noticeWorkDay2 = frMaxAuditStayTime - auditHintTime;
                    if (WeekdayUtil.compareWeekday(str, currDate, noticeWorkDay2)) {
                        icoll.getElementAt(i).setDataValue("overFlag", "0");
                        icoll.getElementAt(i).setDataValue("overTime", "");
                    } else {
                        int remainWorkDay2 = frMaxAuditStayTime - workDayNum;
                        icoll.getElementAt(i).setDataValue("overFlag", "1");
                        icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(remainWorkDay2));
                    }
                }
            }
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", e.getMessage(), e);
            throw new TranFailException("RZPT90007", "租赁关注审核超时提醒判断出错", false);
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
